/* Sans-serif font: Inter, https://github.com/rsms/inter/ */
@import url("vendor/Inter-4.1/web/inter.css");
/* Serif font: IBM Plex Serif, https://github.com/ibm/plex/ */
@import url("vendor/ibm-plex-serif/css/ibm-plex-serif-all.min.css");
/* Math font: IBM Plex Math, https://github.com/ibm/plex/ */
@import url("vendor/ibm-plex-math/css/ibm-plex-math-all.min.css");

/* Monospaced font: Cascadia Mono, https://github.com/microsoft/cascadia-code/ */
@font-face {
    font-family: "Cascadia Mono";
    font-style: normal;
    font-weight: 200;
    font-display: swap;
    src: url("vendor/CascadiaCode-2407.24/woff2/static/CascadiaMono-ExtraLight.woff2") format("woff2");
}
@font-face {
    font-family: "Cascadia Mono";
    font-style: italic;
    font-weight: 200;
    font-display: swap;
    src: url("vendor/CascadiaCode-2407.24/woff2/static/CascadiaMono-ExtraLightItalic.woff2") format("woff2");
}
@font-face {
    font-family: "Cascadia Mono";
    font-style: normal;
    font-weight: 300;
    font-display: swap;
    src: url("vendor/CascadiaCode-2407.24/woff2/static/CascadiaMono-Light.woff2") format("woff2");
}
@font-face {
    font-family: "Cascadia Mono";
    font-style: italic;
    font-weight: 300;
    font-display: swap;
    src: url("vendor/CascadiaCode-2407.24/woff2/static/CascadiaMono-LightItalic.woff2") format("woff2");
}
@font-face {
    font-family: "Cascadia Mono";
    font-style: normal;
    font-weight: 400;
    font-display: swap;
    src: url("vendor/CascadiaCode-2407.24/woff2/static/CascadiaMono-SemiLight.woff2") format("woff2");
}
@font-face {
    font-family: "Cascadia Mono";
    font-style: italic;
    font-weight: 400;
    font-display: swap;
    src: url("vendor/CascadiaCode-2407.24/woff2/static/CascadiaMono-SemiLightItalic.woff2") format("woff2");
}
@font-face {
    font-family: "Cascadia Mono";
    font-style: normal;
    font-weight: 500;
    font-display: swap;
    src: url("vendor/CascadiaCode-2407.24/woff2/static/CascadiaMono-Regular.woff2") format("woff2");
}
@font-face {
    font-family: "Cascadia Mono";
    font-style: italic;
    font-weight: 500;
    font-display: swap;
    src: url("vendor/CascadiaCode-2407.24/woff2/static/CascadiaMono-Italic.woff2") format("woff2");
}
@font-face {
    font-family: "Cascadia Mono";
    font-style: normal;
    font-weight: 600;
    font-display: swap;
    src: url("vendor/CascadiaCode-2407.24/woff2/static/CascadiaMono-SemiBold.woff2") format("woff2");
}
@font-face {
    font-family: "Cascadia Mono";
    font-style: italic;
    font-weight: 600;
    font-display: swap;
    src: url("vendor/CascadiaCode-2407.24/woff2/static/CascadiaMono-SemiBoldItalic.woff2") format("woff2");
}
@font-face {
    font-family: "Cascadia Mono";
    font-style: normal;
    font-weight: 700;
    font-display: swap;
    src: url("vendor/CascadiaCode-2407.24/woff2/static/CascadiaMono-Bold.woff2") format("woff2");
}
@font-face {
    font-family: "Cascadia Mono";
    font-style: italic;
    font-weight: 700;
    font-display: swap;
    src: url("vendor/CascadiaCode-2407.24/woff2/static/CascadiaMono-BoldItalic.woff2") format("woff2");
}

/* Extending Bootstrap’s default fonts */
:root {
    --bs-font-math: "IBM Plex Math", "STIX Two Math", "Latin Modern Math", "Cambria Math", "XITS Math", "DejaVu Math TeX Gyre", "Asana Math", "Noto Sans Math", "Symbola", math, serif;
    /* No change to --bs-font-monospace, since "Cascadia Mono" is already included at position 1. */
    --bs-font-sans-serif: "Inter", ui-sans-serif, system-ui, -apple-system, "Segoe UI", "Roboto", "Helvetica Neue", "Noto Sans", "Liberation Sans", "Arial", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
    --bs-font-serif: "IBM Plex Serif", ui-serif, "New York", "Noto Serif", "Liberation Serif", "Times New Roman", "Times", "Cambria", "Georgia", serif;
}
